.date-range {
    margin: 2rem 0;
}

.litepicker {
    display: none
}

.litepicker button {
    border: none;
    background: none
}

.litepicker .container__main {
    display: flex;
    width: 100%;
}

.litepicker .container__months {
    border: 1px solid var(--base);
    display: flex;
    flex-wrap: wrap;
    background-color: var(--base20);
    width: 100%;
}

.litepicker .container__months.split-view .month-item-header .button-previous-month, .litepicker .container__months.split-view .month-item-header .button-next-month {
    visibility: visible
}

.litepicker .container__months .month-item {
    padding: 1rem 2rem;
    width: 100%;
}

@media only screen and (min-width: 48em) {

    .litepicker .container__months .month-item {
        width: 50%;
    }
}

.litepicker .container__months .month-item-header {
    display: flex;
    justify-content: space-between;
    text-align: center;
    align-items: center;
    color: var(--text)
}

.litepicker .container__months .month-item-header div > .month-item-name {
    margin-right: 1rem;
}

.litepicker .container__months .month-item-header .button-previous-month, .litepicker .container__months .month-item-header .button-next-month {
    visibility: hidden;
    text-decoration: none;
    padding: 3px .5rem;
    border-radius: 3px;
    transition: color 0.3s, border 0.3s;
    cursor: pointer;
}

.litepicker .container__months .month-item-header .button-previous-month *, .litepicker .container__months .month-item-header .button-next-month * {
    pointer-events: none
}

.litepicker .container__months .month-item-header .button-previous-month,
.litepicker .container__months .month-item-header .button-next-month {

    color: var(--base)
}

.litepicker .container__months .month-item-header .button-previous-month > svg,
.litepicker .container__months .month-item-header .button-previous-month > img
.litepicker .container__months .month-item-header .button-next-month > svg,
.litepicker .container__months .month-item-header .button-next-month > img {

    fill: var(--base)
}

.litepicker .container__months .month-item-header .button-previous-month:hover,
.litepicker .container__months .month-item-header .button-next-month:hover {

    color: var(--accent)
}

.litepicker .container__months .month-item-header .button-previous-month:hover > svg,
.litepicker .container__months .month-item-header .button-next-month:hover > svg {

    fill: var(--accent)
}

.litepicker .container__months .month-item-weekdays-row {
    display: flex;
    color: var(--base80)
}

.litepicker .container__months .month-item-weekdays-row > div {
    padding: .25rem;
    width: 14%;
    text-align: center;
    font-size: 85%;
}

.litepicker .container__months .month-item:first-child .button-previous-month,
.litepicker .container__months .month-item:last-child .button-next-month {
    visibility: visible
}

.litepicker .container__months .month-item.no-previous-month .button-previous-month,
.litepicker .container__months .month-item.no-next-month .button-next-month {
    visibility: hidden
}

.litepicker .container__days {
    display: flex;
    flex-wrap: wrap;
}

.litepicker .container__days > div,
.litepicker .container__days > a {
    padding: .25rem;
    width: 14%;
}

.litepicker .container__days > div:nth-child(7n+6),
.litepicker .container__months .month-item-weekdays-row > div:nth-child(6) {

    color: var(--accent);
    font-weight: bold;
}

.litepicker .container__days .day-item {
    color: var(--base);
    text-align: center;
    text-decoration: none;
    border-radius: 3px;
    transition: color 0.3s, border 0.3s;
    cursor: pointer;
}

.litepicker .container__days .day-item:hover {
    box-shadow: inset 0 0 0 1px var(--link)
}

.litepicker .container__days .day-item.is-today {
    color: var(--text);
    background-color: var(--base60);
}

.litepicker .container__days .day-item.is-locked {
    color: var(--base60);
}

.litepicker .container__days .day-item.is-locked:hover {
    box-shadow: none;
    cursor: default
}

.litepicker .container__days .day-item.is-start-date,
.litepicker .container__days .day-item.is-end-date,
.litepicker .container__days .day-item.is-in-range {

    color: var(--base0);
    text-shadow: var(--shadow);
}

.litepicker .container__days .day-item.is-start-date,
.litepicker .container__days .day-item.is-end-date {

    background-color: var(--link);
}

.litepicker .container__days .day-item.is-in-range
{
    background-color: var(--accent);
    border-radius: unset;
}

.litepicker .container__days .day-item.is-start-date {
    border-radius: .25rem 0 0 .25rem;
}

.litepicker .container__days .day-item.is-end-date {
    border-radius: 0 .25rem .25rem 0;
}

.litepicker .container__days .day-item.is-start-date.is-end-date {
    border-radius: .25rem;
}

.litepicker .container__footer {
    text-align: right;
    padding: 10px 5px;
    margin: 0 5px;
    background-color: var(--litepicker-footer-color-bg);
    -webkit-box-shadow: inset 0px 3px 3px 0px var(--litepicker-footer-box-shadow-color);
    box-shadow: inset 0px 3px 3px 0px var(--litepicker-footer-box-shadow-color);
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px
}

.litepicker .container__footer .preview-date-range {
    margin-right: 10px;
    font-size: 90%
}

.litepicker .container__footer .button-cancel {
    background-color: var(--litepicker-button-cancel-color-bg);
    color: var(--litepicker-button-cancel-color);
    border: 0;
    padding: 3px 7px 4px;
    border-radius: 3px
}

.litepicker .container__footer .button-cancel * {
    pointer-events: none
}

.litepicker .container__footer .button-apply {
    background-color: var(--litepicker-button-apply-color-bg);
    color: var(--litepicker-button-apply-color);
    border: 0;
    padding: 3px 7px 4px;
    border-radius: 3px;
    margin-left: 10px;
    margin-right: 10px
}

.litepicker .container__footer .button-apply:disabled {
    opacity: 0.7
}

.litepicker .container__footer .button-apply * {
    pointer-events: none
}

.litepicker .container__tooltip {
    position: absolute;
    margin-top: -4px;
    padding: 4px 8px;
    border-radius: 4px;
    background-color: var(--base20);
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.25);
    white-space: nowrap;
    font-size: 11px;
    pointer-events: none;
    visibility: hidden
}

.litepicker .container__tooltip:before {
    position: absolute;
    bottom: -5px;
    left: calc(50% - 5px);
    border-top: 5px solid rgba(0, 0, 0, 0.12);
    border-right: 5px solid transparent;
    border-left: 5px solid transparent;
    content: ""
}

.litepicker .container__tooltip:after {
    position: absolute;
    bottom: -4px;
    left: calc(50% - 4px);
    border-top: 4px solid var(--litepicker-tooltip-color-bg);
    border-right: 4px solid transparent;
    border-left: 4px solid transparent;
    content: ""
}

:root {
    --litepicker-mobilefriendly-backdrop-color-bg: #000;
}

.litepicker-backdrop {
    display: none;
    background-color: var(--litepicker-mobilefriendly-backdrop-color-bg);
    opacity: 0.3;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

.litepicker-open {
    overflow: hidden;
}

.litepicker.mobilefriendly[data-plugins*="mobilefriendly"] {
    transform: translate(-50%, -50%);
    font-size: 1.1rem;
    --litepicker-container-months-box-shadow-color: #616161;
}
.litepicker.mobilefriendly-portrait {
    --litepicker-day-width: 13.5vw;
    --litepicker-month-width: calc(var(--litepicker-day-width) * 7);
}
.litepicker.mobilefriendly-landscape {
    --litepicker-day-width: 5.5vw;
    --litepicker-month-width: calc(var(--litepicker-day-width) * 7);
}

.litepicker[data-plugins*="mobilefriendly"] .container__months {
    overflow: hidden;
}

.litepicker.mobilefriendly[data-plugins*="mobilefriendly"] .container__months .month-item-header {
    height: var(--litepicker-day-width);
}

.litepicker.mobilefriendly[data-plugins*="mobilefriendly"] .container__days > div {
    height: var(--litepicker-day-width);
    display: flex;
    align-items: center;
    justify-content: center;
}


.litepicker[data-plugins*="mobilefriendly"] .container__months .month-item {
    transform-origin: center;
}

.litepicker[data-plugins*="mobilefriendly"] .container__months .month-item.touch-target-next {
    animation-name: lp-bounce-target-next;
    animation-duration: .5s;
    animation-timing-function: ease;
}

.litepicker[data-plugins*="mobilefriendly"] .container__months .month-item.touch-target-prev {
    animation-name: lp-bounce-target-prev;
    animation-duration: .5s;
    animation-timing-function: ease;
}

@keyframes lp-bounce-target-next {
    from {
        transform: translateX(100px) scale(0.5);
    }
    to {
        transform: translateX(0px) scale(1);
    }
}

@keyframes lp-bounce-target-prev {
    from {
        transform: translateX(-100px) scale(0.5);
    }
    to {
        transform: translateX(0px) scale(1);
    }
}

#date-range-result {
    width: 100%;
    text-align: center;
    line-height: 2.5rem;
    padding: .5rem;
    border-bottom: none;
    background-color: var(--base);
    color: var(--base0);
    text-shadow: var(--shadow);
}
